List ROI source interactions
curl --request GET \
--url https://{host}/api/v1/roi/interactions/tenants/{tenant_id}/workspaces/{workspace_id} \
--header 'Authorization: <api-key>'import requests
url = "https://{host}/api/v1/roi/interactions/tenants/{tenant_id}/workspaces/{workspace_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://{host}/api/v1/roi/interactions/tenants/{tenant_id}/workspaces/{workspace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/v1/roi/interactions/tenants/{tenant_id}/workspaces/{workspace_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/v1/roi/interactions/tenants/{tenant_id}/workspaces/{workspace_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/api/v1/roi/interactions/tenants/{tenant_id}/workspaces/{workspace_id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/v1/roi/interactions/tenants/{tenant_id}/workspaces/{workspace_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"agent_id": "<string>",
"cache_read_tokens": 123,
"cache_write_tokens": 123,
"cost_usd": 123,
"guardrail_result_prompt": "<string>",
"guardrail_result_response": "<string>",
"id": "<string>",
"input_tokens": 123,
"interaction_time": "<string>",
"max_tokens": 123,
"model_fingerprint": "<string>",
"model_latency_ms": 123,
"model_name": "<string>",
"model_supplier": "<string>",
"output_tokens": 123,
"prompt_text": "<string>",
"response_text": "<string>",
"session_id": "<string>",
"stop_reason": "<string>",
"tool_definitions": [
{}
],
"tool_use": [
{}
],
"total_latency_ms": 123
}
],
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
}{
"code": 400,
"message": "Invalid request"
}{
"code": 400,
"message": "Invalid request"
}{
"code": 400,
"message": "Invalid request"
}{
"code": 400,
"message": "Invalid request"
}roi
List ROI source interactions
List raw LLM interaction rows (with computed cost_usd) for one agent — the source data the ROI analyzers read
GET
/
roi
/
interactions
/
tenants
/
{tenant_id}
/
workspaces
/
{workspace_id}
List ROI source interactions
curl --request GET \
--url https://{host}/api/v1/roi/interactions/tenants/{tenant_id}/workspaces/{workspace_id} \
--header 'Authorization: <api-key>'import requests
url = "https://{host}/api/v1/roi/interactions/tenants/{tenant_id}/workspaces/{workspace_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://{host}/api/v1/roi/interactions/tenants/{tenant_id}/workspaces/{workspace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/v1/roi/interactions/tenants/{tenant_id}/workspaces/{workspace_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/v1/roi/interactions/tenants/{tenant_id}/workspaces/{workspace_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/api/v1/roi/interactions/tenants/{tenant_id}/workspaces/{workspace_id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/v1/roi/interactions/tenants/{tenant_id}/workspaces/{workspace_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"agent_id": "<string>",
"cache_read_tokens": 123,
"cache_write_tokens": 123,
"cost_usd": 123,
"guardrail_result_prompt": "<string>",
"guardrail_result_response": "<string>",
"id": "<string>",
"input_tokens": 123,
"interaction_time": "<string>",
"max_tokens": 123,
"model_fingerprint": "<string>",
"model_latency_ms": 123,
"model_name": "<string>",
"model_supplier": "<string>",
"output_tokens": 123,
"prompt_text": "<string>",
"response_text": "<string>",
"session_id": "<string>",
"stop_reason": "<string>",
"tool_definitions": [
{}
],
"tool_use": [
{}
],
"total_latency_ms": 123
}
],
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
}{
"code": 400,
"message": "Invalid request"
}{
"code": 400,
"message": "Invalid request"
}{
"code": 400,
"message": "Invalid request"
}{
"code": 400,
"message": "Invalid request"
}Authorizations
Send "ApiKey <your_api_key>" to authenticate with an API key, or "Bearer " with a user session token.
Query Parameters
Agent ID
Only interactions at or after this RFC3339 timestamp
Only interactions at or before this RFC3339 timestamp
Page number (1-based)
Page size
Sort order
Available options:
ASC, DESC Was this page helpful?

